<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@page errorPage="pageError.jsp" %>
<%@taglib uri='http://www.sas.com/taglib/sas-util' prefix='sas-u' %>
<%@taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>

<%@page import="com.sas.solutions.cpb.runtime.CPBRuntimeService"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@page import="com.sas.solutions.cpb.services.CPBServiceLocator"%>
<%@page import="com.sas.solutions.casemgmt.domain.License" %>
<%@page import="com.sas.solutions.casemgmt.service.ServiceLocator"%>
<%@page import="com.sas.solutions.casemgmt.util.SecurityUtil" %>
<%@page import="com.sas.solutions.casemgmt.util.UserDisplayUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebConstants" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WindowLayout" %>
<%@page import="com.sas.solutions.casemgmt.service.Directive"%>
<%@page import="com.sas.solutions.cpb.menu.Menu"%>

<sas-ui:DocType/>

<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en-US' dir='<%=WebUtil.getDirAttributeValue(request)%>' style='overflow: hidden;'>
<head>
   <meta http-equiv="X-UA-Compatible" content="IE=edge" />
   <script type="text/javascript">
   var inPortlet = <%=request.getParameter("inPortlet") != null && request.getParameter("inPortlet").equalsIgnoreCase("true")%>;
   
   // needed to turn on the context menu on right mouse click.
   var enableContextMenu = true;
   </script>
   
   <title><sas-ui:ApplicationName/></title>
   <% com.sas.servlet.util.JavaScriptIncludeHandler.clear(request); %>
   <tiles:insert page="../shell/timeoutLogic.jsp" />
   <%@ include file="global.jspf" %>
               
   <cpb:InitializeComponentsCPB />

   <%@include file="/ext/cpbcore/dojo_config.jspf"%>

   <script type="text/javascript" src="scripts/siteOverrides.js"></script>
   <script type="text/javascript" src="scripts/sasFramework.js"></script>
   
   <sas-cm:include js="/shared/app.js" />
   <sas-cm:include js="/shared/AppMenu.js" />
   <sas-cm:include js="/shared/Breadcrumb.js" />
   <sas-cm:include js="/dwr/engine.js" />
   <sas-cm:include js="/dwr/util.js" />
   <sas-cm:include js="/dwr/interface/BreadcrumbService.js" />
   <sas-cm:include js="/ext/cpbcore/cpb.js" />
   <sas-cm:include js="/shared/ecmApi.js" />
   
   <sas-cm:include js="/ext/cpbcore/bgoverlay/BackgroundOverlay.js" />
   <sas-cm:include js="/ext/cpbcore/browser/BrowserUtil.js" />
   <sas-cm:include js="/ext/cpbcore/browser/URL.js" />
   <sas-cm:include js="/ext/cpbcore/browser/QueryString.js" />
   <sas-cm:include js="/ext/cpbcore/dialog/DialogUtil.js" />
   <sas-cm:include js="/ext/cpbcore/dialog/Dialog.js" />
   <sas-cm:include js="/ext/cpbcore/dialog/IFrameDialog.js" />
   <sas-cm:include js="/ext/cpbcore/pagelayout/PageLayout.js" />
   <sas-cm:include js="/ext/cpbcore/browser/Event.js" />
   <sas:StyleSheet styleNames="SAS Style,CPB,CPBDialog,CPBSpellChecker"/>
   <sas-cm:include css="/style/app.css" />
   
   <sas-cm:include properties="<%=
      new String[] {
         \"newCase.title.txt\",
         \"newIncident.title.txt\",
         \"newReport.title.txt\",
         \"newParty.title.txt\"
      }
      %>" />
   <%--
   <sas-cm:include js="/MainNavigationMenu.js" />
   <sas-cm:include js="/ext/cpbcore/menubar/MenuBar.nocache.js" />
   <sas-cm:include css="/ext/cpbcore/MenuBar.css" />
    --%>
   
   <sas-cm:include flush="true" />
   
   <script type="text/javascript">
      // set up the log level
      cpb.showLog = <%=ServiceLocator.isDevelopmentMode()%>;

      // initialize the window name based on the window layout
      App.initWindowName('<%=WindowLayout.getWindowLayout(request)%>');

      // Check that this main page is not inside a modal popup. If so, redirect out.
      if (window.name == '<%=WindowLayout.MODAL_DIALOG.toString()%>')
      {
         window.top.location.href = window.location.href;
      }

      // Override the global toggleDiv() function provided by CDD
      function toggleDiv(name, isOn)  { 
          element = getElement(name); 
          if (isOn) 
              element.style.display = "none"; 
          else 
              element.style.display = "block"; 
          if (window.PageLayout) {
             window.PageLayout.handleWindowOnResize(true); 
          } 
      }
      
      // set up banner info
      <% WebUtil.setUpBannerTitleInfo(out, request, session); %>
   </script>
</head>
<body dir="<%=WebUtil.getDirAttributeValue(request)%>" style="margin: 0; overflow: hidden" class="claro">
<c:if test="${param.inPortlet != 'true'}">
   <c:set var="logoffURL" value="Logoff" />
   <c:if test="${requestScope.logoffURL ne null}">
      <c:set var="logoffURL" value="${requestScope.logoffURL}" />
   </c:if>
   <%
   String startAppTitle; 
   if (CPBServiceLocator.getCPBRuntimeService().isOverridingBanner())
   {
      startAppTitle = "";
   }
   else
   {
      startAppTitle = CPBUtil.getApplicationTitle(request);
   }
   %>
   <sas:Banner 
         name="bannerId" 
         id="bannerId" 
         logOffURL="${pageScope.logoffURL}"
         preferencesURL="Preferences"
         title='<%=startAppTitle%>'
         helpAboutTitle='<%=((License)session.getServletContext().getAttribute(WebConstants.APP_LICENSE_KEY)).getAppName()%>'
         helpAboutURL="shared/about.jsp"
         helpDocURL='DisplayCPBScreenHelpText.do?command=helpRedirect'
         userName="<%= UserDisplayUtil.getUserDisplayName(SecurityUtil.getCurrentUserId()) %>"
         mainContentAreaURL="#mainContentArea"
         showDivider="false"
         backLinkURL="${requestScope.backURL}"
         backLinkDescription="${requestScope.backDesc}"
         backLinkLabel="${requestScope.backLabel}">
   </sas:Banner>
   
   <% if (Boolean.TRUE==getServletConfig().getServletContext().getAttribute("aml_help_flag")) { %>
   <script type="text/javascript">
   function addMenuItem(menuItemJson) {
     
     var jsonModel = globalMenuBar_4_SubMenu.getJSONModel();
     jsonModel.items.push(menuItemJson);
     
     globalMenuBar_4_SubMenu.setJSONModel(jsonModel);
   
     var clientModel = new sas.menu.model.PopupMenu();
     clientModel.transformFromJSON(jsonModel);
     globalMenuBar_4_SubMenu.setClientModel(clientModel);
   };
   
   addMenuItem({"javascript": "openSASDocWindow('Director.do?_directive=webdocmd_Contents&macroVersion=5.2&selectedProduct=AMLMID&selectedLocale=<%=request.getLocale()%>&selectedTopic=amlinv.hlp%2Fwhatitis.htm');",
                "text": "<fmt:message key='menu.helpContents.aml.txt' bundle='${appResources}' />"});
   addMenuItem({"javascript": "openSASDocWindow('Director.do?_directive=webdocmd_Contents&macroVersion=5.2&selectedProduct=ANTIMNYLNDIN&selectedLocale=<%=request.getLocale()%>&selectedTopic=amlsc.hlp%2Fwhatissa.htm');",
                "text": "<fmt:message key='menu.helpContents.scenarioAdmin.txt' bundle='${appResources}' />"});
   
   </script>
   <% } %>
   
   <jsp:include page="BannerNavigationMenu.jsp" />
</c:if>

<!-- Main Content -->
<a name="mainContentArea"></a>
<tiles:insert page="<%=(String)request.getAttribute(WebKey.CONTENT_FILE)%>"/>

<tiles:insert attribute="footer" ignore="true"/>


<script type="text/javascript">
if (window.PageLayout)
{
   PageLayout.initialize();
   if (window.PopupLayout)
   {
      PopupLayout.initialize();
      if (PopupLayout.popupButtonBarContainer)
      {
         PopupLayout.popupButtonBarContainer.style.position = "absolute";
         PopupLayout.popupButtonBarContainer.style.bottom = "0px";
      }
   }
}
</script>
</body>
</html>