<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@include file="/shell/default.jspf"%>
<%@page errorPage="pageError.jsp" %>
<%@taglib uri='http://www.sas.com/taglib/sas-util' prefix='sas-u' %>

<%@page import="com.sas.framework.webapp.util.Messages" %>
<%@page import="com.sas.solutions.casemgmt.i18n.AppProperties" %>
<%@page import="com.sas.solutions.casemgmt.service.ServiceLocator"%>
<%@page import="com.sas.solutions.casemgmt.util.SecurityUtil" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil" %>


<sas-ui:DocType/>

<%
Messages messages = WebUtil.getFrameworkMessagesFromRedirect(request);
messages.addInfo(AppProperties.getProperty("optimize.print.message.txt"));
%>

<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en-US' dir='<%=WebUtil.getDirAttributeValue(request)%>'>
<head>
   <meta http-equiv="X-UA-Compatible" content="IE=edge" />
   <title><sas-ui:ApplicationName/></title>
   <% com.sas.servlet.util.JavaScriptIncludeHandler.clear(request); %>
   <%@ include file="global.jspf" %>
   <script type="text/javascript">
	   // needed to turn on the context menu on right mouse click.
	   var enableContextMenu = true;
   </script>
   
   <cpb:InitializeComponentsCPB />
   
   <%@include file="/ext/cpbcore/dojo_config.jspf"%>
   
   <script type="text/javascript" src="scripts/siteOverrides.js"></script>
   <script type="text/javascript" src="scripts/sasFramework.js"></script>
   
   <sas-cm:include js="/shared/app.js" />
   <sas-cm:include js="/ext/cpbcore/cpb.js" />
   <sas-cm:include js="/shared/ecmApi.js" />
   <sas-cm:include js="/ext/cpbcore/pagelayout/PageLayout.js" />
   <sas-cm:include js="/ext/cpbcore/browser/Event.js" />
   <sas:StyleSheet styleNames="SAS Style,CPB,CPBDialog,CPBSpellChecker"/>
   <sas-cm:include css="/style/app.css" />
   <sas-cm:include flush="true" />
   
   <script type="text/javascript">
   cpb.showLog = <%=ServiceLocator.isDevelopmentMode()%>;
   </script>
   
</head>
<body dir="<%=WebUtil.getDirAttributeValue(request)%>" style="margin: 0; padding: 0;" onload="if (window.opener && window.opener.sas_framework_updateTimeout) window.opener.sas_framework_updateTimeout();">

<%
String title = CPBUtil.getPageTitle(request) == null ? "" : CPBUtil.getPageTitle(request);
%>
   <h1 id="h1_pageTitle_id"><%=title%></h1>
   
   <div class="noprint">
      <sas-ui:Message/> 
   </div>
   <!-- Main Content -->
   <tiles:insert page="<%=(String)request.getAttribute(WebKey.CONTENT_FILE)%>"/>
   
   <script type="text/javascript">
   // Disable all links in a print mode report except any to hide messages
   var links = document.getElementsByTagName('a');
   for (var i = 0; i < links.length; i++) {
      if (links[i].href && links[i].href.indexOf('toggleDiv(') === -1) {
         links[i].onclick = function() { return false; };
      }
   }
   </script>
   
</body>
</html>
