
/**********************************************************************/
/* Copyright (c) 2015, SAS Institute Inc. All rights reserved.        */
/*                                                                    */
/* NAME:          loadrr_config_fincen_new_6_3_6_3m1_delta.sas        */
/* PRODUCT:       Enterprise Case Management                          */
/* PURPOSE:       Update State and NACIS codes                        */
/*                                                                    */
/**********************************************************************/



%macro ecm_loadrr_ref_naics;

/*******************************************************************************/
/*  LOAD NAICS codes                                                           */
/*******************************************************************************/
 
data ref_table_value_naics;

     if 0 then set ecm_db.Ref_table_value; 
     infile  "&form_path&slash.2014NAICS.csv"  
             dsd lrecl=32764 truncover delimiter=',' ;
     length tmp_str expr $ 128;
     retain ref_table_nm 'X_RT_NAICS';
     retain value_cd value_desc display_order_no; 
     keep  ref_table_nm value_cd value_desc parent_ref_table_nm parent_value_cd display_order_no active_flg;
   
     input tmp_str $;
      
     str_len=length(tmp_str);
     expr='/\d{'||strip(put(str_len,best.))||'}/';
      /* check for numeric data for NAICS code */
      if prxmatch(expr,tmp_str)=1  then
      do;
         value_cd=tmp_str;
         display_order_no=0;
         value_desc=strip(value_desc)||' ('||strip(value_cd)||')';
         active_flg='1';
         output;
     end;
     else value_desc=strip(tmp_str);
run;

proc sort data=ref_table_value_naics;
     by value_desc;
run;

%if &sysrc <= 4 and &ecm_debug=N %then
%do;
      proc sql noprint;
         delete from ecm_db.ref_table_value
         where ref_table_nm='X_RT_NAICS'
     ;
     quit;
    proc append base=ecm_db.ref_table_value data=ref_table_value_naics force;
    run;
%end;


%mend;

%let ecm_debug=N;

%let form_path=&ecm_config_path&slash.Source&slash.form_template;

%ecm_loadrr_ref_naics;
