/*******************************************************************************/
/* Load FINCEN New CTR configuration data                                      */
/* To test one the code without loading the data, %let ECM_DBUG=Y;             */
/*******************************************************************************/


%macro ecm_loadrr_ref_newctr;

/******************************************************************************/
/*  Load reference table values                                               */
/******************************************************************************/

data ref_table_value_newctr;
 infile  "&form_path&slash.newctr-efile_field_config_ref.csv"  
             dsd lrecl=32764 truncover firstobs=2 delimiter=',' ;
   length tmp_word source_ref_list$ 32767;
   if 0 then set ecm_db.form_efile_field_config;
   if 0 then set ecm_db.Ref_table_value;
   input 
           form_efile_record_id $
           target_field_position $
           target_field_nm $
           target_field_length_no
           target_field_desc $
           source_field_nm $
           source_ref_list $                
    ;
    
    keep  ref_table_nm value_cd value_desc parent_ref_table_nm parent_value_cd display_order_no active_flg;
   
    
    tmp_word='';
    tmp_i=1;
    do until (scan(source_ref_list,tmp_i,'|')='');
       tmp_word=left(scan(source_ref_list,tmp_i,'|'));
       ref_table_nm='X_RT_'||substr(source_field_nm,3,length(source_field_nm)-5);
       value_cd=substr(tmp_word,1,1);
       value_desc=left(substr(tmp_word,2));
       display_order_no=tmp_i;
       active_flg='1';
       output;
       tmp_i+1;
    end;
    
 
run;

%if &sysrc <= 4 and &ecm_debug=N %then
%do;

     
    proc sql noprint;
         delete from ecm_db.ref_table_value as ref
         where exists 
          (select ref_table_nm 
          from ref_table_value_newctr as newctr
          where newctr.ref_table_nm=ref.ref_table_nm 
           );

     
    proc append base=ecm_db.ref_table_value data=ref_table_value_newctr   force;
    run;
%end;


%mend;

 

%macro ecm_loadrr_prvw_newctr;
/* Section level configuration data */

/* Section level configuration data */
data newctr_preview_section_config;
if 0 then set ecm_db.form_preview_section_config;

   
     infile "&form_path&slash.newctr-preview_section_config.csv" 
             dsd lrecl=32764 truncover firstobs=2  delimiter=',' ;
     input form_config_rk
           form_preview_section_seq_no
           form_preview_section_id $
           section_desc $
           section_order_no 
           section_file_suffix $
           source_table_nm $
    ;
    form_config_rk=&form_config_rk;
run;

 
/* Field level configuration data */

data newctr_preview_field_config;
if 0 then set ecm_db.form_preview_field_config;

   
     infile  "&form_path&slash.newctr-preview_field_config.csv"  
             dsd lrecl=32764 truncover firstobs=2 delimiter=',' ;
     
     input form_config_rk 
           form_preview_section_seq_no
           form_preview_field_seq_no :best. /* make sure decimal numbers are read correctly */
           source_field_nm $
           source_field_num_flg $
           source_field_exp $
           target_field_nm $
           target_field_type_cd $
           target_field_type_parm_list $
     ; 
     form_config_rk=&form_config_rk;    
    
run;

%if &sysrc <= 4 and &ecm_debug=N %then
%do;
   proc sql;
     delete 
    from ecm_db.form_preview_field_config
     where form_config_rk=&form_config_rk;

     delete 
     from ecm_db.form_preview_section_config
     where form_config_rk=&form_config_rk;
   quit;

proc append base=ecm_db.form_preview_section_config data=newctr_preview_section_config; 
run;
proc append base=ecm_db.form_preview_field_config data=newctr_preview_field_config; 
run;
%end;

%mend;



/* Change ecm_debug to Y for testing */
%let ecm_debug=N;
/* Adjust the sequence number if it has been used */
%let rr_config_seq_no=202;
%let efile_config_seq_no=202;
%let form_config_rk=202;
%let form_path=&ecm_config_path&slash.Source&slash.form_template;


%ecm_loadrr_ref_newctr;       /* load reference values         */


%ecm_loadrr_prvw_newctr;
%ecmrr_fdf_pgm_gen;
%let form_config_rk=202;
 
 
